## dnprogs 2.43.2

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 SUBDIRS=include libdnet libdaemon libdap librms fal dndir dnsubmit dndel \
 	dncopy apps dntask dnlogin mail phone dnetd libvaxdata dnroute \
-	multinet scripts
+	multinet dapfs scripts
 
 all: 	
 	@set -e; for i in $(SUBDIRS); do make -C $$i $@ ; done
@@ -32,6 +32,9 @@
 	rm -f debian/*~
 	rm -rf rpmbuild
 	rm -rf RPMS
+	rm -rf SOURCES
+	rm -rf SRPMS
+	rm -rf BUILD
 	rm -f .rpm*
 	rm -f build
 	rm -f core
@@ -43,6 +46,7 @@
 # Make the distribution tar file
 #
 dist:	
+	cp debian/changelog NEWS
 	for i in $(SUBDIRS); do cd $$i; rm -f .depend; cd ..; done
 	if [ -L ../$(PKGNAME)-$(VERSION) ]; then rm ../$(PKGNAME)-$(VERSION); fi
 	if [ ! -d ../$(PKGNAME)-$(VERSION) ]; then cd ..; ln -s $(PKGNAME) $(PKGNAME)-$(VERSION); fi
@@ -62,8 +66,8 @@
 #
 # Make RPM package for Red Hat systems.
 #
-rpm:
-	rm -rf rpmbuild BUILD RPMS
+rpm:	
+	rm -rf rpmbuild BUILD RPMS SOURCES
 	make clean
 	echo "%_topdir `pwd`" > .rpmmacros
 	echo "`rpm --showrc|grep \^macrofiles`:`pwd`/.rpmmacros" >.rpmrc
@@ -72,6 +76,8 @@
 	find `pwd`/rpmbuild/usr/share/man/ -type f|xargs gzip -9
 	ln -sf libdnet.so.2 rpmbuild/usr/lib/libdnet.so.1
 	make dist
+	mkdir SOURCES SRPMS
+	cp /var/tmp/$(PKGNAME)-$(VERSION).tar.gz SOURCES
 	install -d rpmbuild/etc/rc.d/init.d
 	install -d rpmbuild/usr/doc
 	rm rpmbuild/usr/share/man/man1/dntype.1
@@ -95,9 +101,10 @@
 	    -e's@%%CONFPREFIX%%@/@g'                                    \
 	   < rpm.spec >$(PKGNAME).spec
 	mkdir -p BUILD RPMS/$(ARCH)
-	cp README NEWS Documentation/*.README BUILD
+	cp README Documentation/*.README BUILD
+	cp debian/changelog BUILD/NEWS
 	cp libvaxdata/libvaxdata.pdf BUILD
-	rpmbuild -bb --target $(ARCH) --buildroot `pwd`/rpmbuild -v --rcfile .rpmrc $(PKGNAME).spec
+	rpmbuild -ba --target $(ARCH) --buildroot `pwd`/rpmbuild -v --rcfile .rpmrc $(PKGNAME).spec
 	rm -f $(PKGNAME).spec .rpmrc .rpmmacros
 
 #
@@ -105,8 +112,7 @@
 #
 deb:
 	rm -f Documentation/*~ Documentation/*.bak
-	dpkg-buildpackage -rfakeroot
-
+	dpkg-buildpackage -rfakeroot 
 #
 # Dummy rule for sub-directories
 #
