=== dnroute/Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 all: $(DNROUTE)
 
 $(DNROUTE): get_neigh.c send_route.c routing_msg.c csum.c hash.c netlink/libnetlink.a
-	$(CC) $(CFLAGS) -o $@ $^ -L../libdnet -Lnetlink -ldnet -lnetlink
+	$(CC) $(CFLAGS) -o $@ $^ -Lnetlink -lnetlink $(LIBDNET)
 
 netlink/libnetlink.a:
 	$(MAKE) -C netlink
