=== libdaemon/Makefile ===
--- 
+++ 
@@ -5,8 +5,10 @@
 MANPAGES3=dnet_daemon.3
 
 LIBNAME=libdnet_daemon
+LIB_MINOR_VERSION=43.0
+LIB_VERSION=$(MAJOR_VERSION).$(LIB_MINOR_VERSION)
 
-SHAREDLIB=$(LIBNAME).so.$(VERSION)
+SHAREDLIB=$(LIBNAME).so.$(LIB_VERSION)
 STATICLIB=$(LIBNAME).a
