=== debian/changelog ===
dnprogs (2.43.2) unstable; urgency=low

  * Tidy soname handling on shared libraries
  * Fix compiling dnroute with new kernel headers
    Closes: #479081

 -- Christine Caulfield <Christine.Caulfield@googlemail.com>  Sun, 04 May 2008 15:44:43 +0100

dnprogs (2.43.1) unstable; urgency=low

  * add -fdollars-in-identifiers to dapfs build, so it compiles on ARM.
    Closes: #478750

 -- Christine Caulfield <Christine.Caulfield@googlemail.com>  Thu, 01 May 2008 08:26:56 +0100

dnprogs (2.43) unstable; urgency=low

  * dapfs: fix editor access.
  * dapfs: fix readdir so attributes don't get mixed up. fixes "find"
  * dndir: fix readdir
  * librms: return something(anything!) in errno when open fails.

 -- Christine Caulfield <Christine.Caulfield@googlemail.com>  Tue, 29 Apr 2008 13:00:11 +0100

dnprogs (2.42) unstable; urgency=low

  * More work on dapfs. Fix crash when reading long files
  * add debian/compat to get rid of debian build warnings, and error (I hope)
    Closes: #475196

 -- Christine Caulfield <Christine.Caulfield@googlemail.com>  Thu, 10 Apr 2008 14:18:34 +0100

dnprogs (2.41-1) unstable; urgency=low

  * Fix build of dapfs (again)
    Closes: #473934

 -- Christine Caulfield <Christine.Caulfield@googlemail.com>  Wed, 02 Apr 2008 13:12:29 +0100

dnprogs (2.41) unstable; urgency=low

  * Many fixes to dapfs, thanks for Andrew Gaffney for testing.
  * Fix building of dapfs on systems that didn't have libdap installed.
    Closes: #473086

 -- Christine Caulfield <Christine.Caulfield@googlemail.com>  Mon, 31 Mar 2008 08:42:42 +0100

dnprogs (2.40.1) unstable; urgency=low

  * Fix includes for dapfs
    Closes: #472457

 -- Christine Caulfield <Christine.Caulfield@googlemail.com>  Mon, 24 Mar 2008 12:54:33 +0000

dnprogs (2.40) unstable; urgency=low

  * Lots of fixes and improvements to dapfs
  * Include dapfs dinary
  * Allow rms_read to return empty records
  * Fix some man page bugs
  * Change maintainer's name

 -- Christine Caulfield <Christine.Caulfield@googlemail.com>  Mon, 10 Mar 2008 11:01:44 +0000
