## dnprogs 2.48.1

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,12 @@
 
 SUBDIRS=include libdnet libdaemon libdap librms fal dndir dnsubmit dndel \
 	dncopy apps dntask dnlogin mail phone dnetd libvaxdata dnroute \
-	multinet dapfs scripts
+	nml multinet scripts \
+	contrib/ph3-der-loewe
+
+ifneq ($(wildcard /usr/include/fuse.h),)
+SUBDIRS+=dapfs
+endif
 
 all: 	
 	@set -e; for i in $(SUBDIRS); do make -C $$i $@ ; done
@@ -45,7 +50,7 @@
 #
 # Make the distribution tar file
 #
-dist:	
+dist:	clean
 	cp debian/changelog NEWS
 	for i in $(SUBDIRS); do cd $$i; rm -f .depend; cd ..; done
 	if [ -L ../$(PKGNAME)-$(VERSION) ]; then rm ../$(PKGNAME)-$(VERSION); fi
@@ -69,13 +74,13 @@
 rpm:	
 	rm -rf rpmbuild BUILD RPMS SOURCES
 	make clean
+	make dist
 	echo "%_topdir `pwd`" > .rpmmacros
 	echo "`rpm --showrc|grep \^macrofiles`:`pwd`/.rpmmacros" >.rpmrc
 	make prefix=/usr RELEASE=true -j
 	make DESTDIR=`pwd`/rpmbuild RELEASE=true install
 	find `pwd`/rpmbuild/usr/share/man/ -type f|xargs gzip -9
 	ln -sf libdnet.so.2 rpmbuild/usr/lib/libdnet.so.1
-	make dist
 	mkdir SOURCES SRPMS
 	cp /var/tmp/$(PKGNAME)-$(VERSION).tar.gz SOURCES
 	install -d rpmbuild/etc/rc.d/init.d
@@ -86,12 +91,14 @@
 	rm rpmbuild/usr/share/man/man3/dnet_reject.3
 	rm rpmbuild/usr/share/man/man3/dnet_endnode.3
 	rm rpmbuild/usr/share/man/man3/dnet_nextnode.3
+	rm rpmbuild/usr/share/man/man8/dneigh.8
 	ln -s dncopy.1.gz rpmbuild/usr/share/man/man1/dntype.1.gz
 	ln -s dnsubmit.1.gz rpmbuild/usr/share/man/man1/dnprint.1.gz
 	ln -s dnet_daemon.3.gz rpmbuild/usr/share/man/man3/dnet_accept.3.gz
 	ln -s dnet_daemon.3.gz rpmbuild/usr/share/man/man3/dnet_reject.3.gz
 	ln -s dnet_getnode.3.gz rpmbuild/usr/share/man/man3/dnet_endnode.3.gz
 	ln -s dnet_getnode.3.gz rpmbuild/usr/share/man/man3/dnet_nextnode.3.gz
+	ln -s dnetinfo.8.gz rpmbuild/usr/share/man/man8/dneigh.8.gz
 	sed -e's@/usr/local@/usr@g' < scripts/decnet.sh >rpmbuild/etc/rc.d/init.d/decnet
 	sed -e's/%%PACKAGENAME%%/$(PKGNAME)/g'                          \
 	    -e's/%%VERSION%%/$(VERSION)/g'                              \
