=== debian/changelog ===
dnprogs (2.48.1) unstable; urgency=low

  * Add Swedish debconf translation
    Closes: #508755

 -- Christine Caulfield <Christine.Caulfield@googlemail.com>  Mon, 27 Oct 2008 09:48:13 +0000
	

dnprogs (2.48) unstable; urgency=low

  * Fix crash caused by unitialised variable in dncopynodes.
  * Add LDIF output support to dncopynodes
  * More states are now decoded by dnetstat
  * Add nss support to libdnet so you can look up DECnet nodes & objects in
    NIS or LDAP etc
  * Made getnodename() read from decnet.conf rather than the kernel
  * Fix fd leak in getnodebyaddr
  * dnroute no longer ignores long routing messages
  * dnroute now writes a pidfile
  * Improve dnroute logging when -n is specified (it's now useful!)
  * dnroute -n now doesn't send routing messages
  * dnroute now honours SYSCONF_PREFIX for dnroute.conf
  * dnetinfo no longer shows the local area as under manual control
  * Replaced dnetinfo with a program
  * NML now also responds to "list known objects"
  * Add connect timeout to most programs
  * Don't build dapfs if FUSE is not installed (Larry Baker)
  * Look for libcrypt in /lib and /usr/lib (Larry Baker)

 -- Christine Caulfield <Christine.Caulfield@googlemail.com>  Mon, 27 Oct 2008 09:48:13 +0000

dnprogs (2.47) unstable; urgency=low

  * Fix libdnet_daemon so that dnet_accept & dnet_reject work on
    big-endian systems
  * nml now shows number of active links with nodes list
  * nml now supports "show known links" & "show known objects"
  * dnetstat shows object names instead of numbers

 -- Christine Caulfield <Christine.Caulfield@googlemail.com>  Mon, 22 Sep 2008 09:23:53 +0100

dnprogs (2.46) unstable; urgency=low

  * Add 'dnetnml' Network Management Listener daemon
  * Add dnetcat & dnetstat programs
    thanks to Philipp 'ph3-der-loewe' Schafft
  * Executables are now correctly stripped by dh_strip

 -- Christine Caulfield <Christine.Caulfield@googlemail.com>  Sun, 07 Sep 2008 13:48:58 +0100

dnprogs (2.45) unstable; urgency=low

  * Make multinet daemon fork into the background
  * Fix dnetinfo so it conforms to the man page
  * Fix crash in dnroute daemon

 -- Christine Caulfield <Christine.Caulfield@googlemail.com>  Sun, 24 Aug 2008 13:41:08 +0100

dnprogs (2.44) unstable; urgency=low

  * Fix typo in man page for sendvmsmail
    Closes: #495513
  * Some multinet fixes
  * Add SIGHUP feature to multinet
  * Fix copyright information

 -- Christine Caulfield <Christine.Caulfield@googlemail.com>  Sat, 23 Aug 2008 14:18:19 +0100
