## dnprogs 2.49ubuntu1

=== apps/Makefile ===
--- 
+++ 
@@ -13,17 +13,19 @@
 PROG4OBJS = dnping.o
 PROG5OBJS = ctermd.o
 PROG7OBJS = rmtermd.o
+PROG8OBJS = copynodes.o
 
 PROG1 = startnet
 PROG2 = sethost
 PROG4 = dnping
 PROG5 = ctermd
 PROG7 = rmtermd
+PROG8 = dncopynodes
 MANPAGES1 = sethost.1 dnping.1
 MANPAGES5 = decnet.conf.5
-MANPAGES8 = ctermd.8 rmtermd.8 setether.8
+MANPAGES8 = ctermd.8 rmtermd.8 setether.8 dncopynodes.8
 
-ALLPROGS=$(PROG1) $(PROG2) $(PROG4) $(PROG5) $(PROG7) 
+ALLPROGS=$(PROG1) $(PROG2) $(PROG4) $(PROG5) $(PROG7) $(PROG8)
 
 all: $(ALLPROGS)
 
@@ -45,6 +47,10 @@
 $(PROG7): $(PROG7OBJS) $(DEPLIBDNET) $(DEPLIBDAEMON)
 	$(CC) -o $@ $(CFLAGS) $(PROG7OBJS) $(LIBDAEMON) $(LIBDNET) $(PTSLIBS)
 
+$(PROG8): $(PROG8OBJS) $(DEPLIBDNET)
+	$(CC) -o $@ $(CFLAGS) $(PROG8OBJS) $(LIBDNET)
+
+
 dep:	
 	$(CC) $(CFLAGS) -MM *.c >.depend 2>/dev/null
 
@@ -64,6 +70,7 @@
 	install -m 0755 $(STRIPBIN) $(PROG5) $(prefix)/sbin
 	install -m 0700 setether.sh $(prefix)/sbin/setether
 	install -m 0755 $(STRIPBIN) $(PROG7) $(prefix)/sbin
+	install -m 0755 $(STRIPBIN) $(PROG8) $(prefix)/sbin
 	install -m 0644 $(MANPAGES1) $(manprefix)/man/man1
 	install -m 0644 $(MANPAGES5) $(manprefix)/man/man5
 	install -m 0644 $(MANPAGES8) $(manprefix)/man/man8
