=== libdap/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 PICOBJS=connection.po protocol.po vaxcrc.po logging.po
 
 LIBNAME=libdap
-LIB_MINOR_VERSION=44.0
+LIB_MINOR_VERSION=45.0
 LIB_VERSION=$(MAJOR_VERSION).$(LIB_MINOR_VERSION)
 
 SHAREDLIB=$(LIBNAME).so.$(LIB_VERSION)
