=== libdnet/Makefile ===
--- 
+++ 
@@ -12,14 +12,14 @@
 LIBOBJS :=dnet_htoa.o dnet_ntoa.o dnet_addr.o dnet_conn.o getnodeadd.o \
 	getnodebyname.o getnodebyaddr.o setnodeent.o getexecdev.o \
 	getnodename.o setnodename.o dnet_getnode.o dnet_pton.o dnet_ntop.o \
-	dnet_recv.o dnet_eof.o
+	dnet_recv.o dnet_eof.o getobjectbyX.o
 PICOBJS:=dnet_htoa.po dnet_ntoa.po dnet_addr.po dnet_conn.po getnodeadd.po \
 	getnodebyname.po getnodebyaddr.po setnodeent.po getexecdev.po \
 	getnodename.po setnodename.po dnet_getnode.po dnet_pton.po dnet_ntop.po\
-	dnet_recv.po dnet_eof.po
+	dnet_recv.po dnet_eof.po getobjectbyX.po
 
 LIBNAME=libdnet
-LIB_MINOR_VERSION=43.0
+LIB_MINOR_VERSION=43.1
 LIB_VERSION=$(MAJOR_VERSION).$(LIB_MINOR_VERSION)
 
 SHAREDLIB=$(LIBNAME).so.$(LIB_VERSION)
