=== debian/changelog ===
dnprogs (2.49ubuntu1) karmic; urgency=low

  * dncopy/unixfile.cc: remove conflicting declaration of basename()
    (LP: #435071).

 -- Ilya Barygin <barygin@gmail.com>  Wed, 23 Sep 2009 11:17:02 +0400

dnprogs (2.49) unstable; urgency=low

  * Increase kernel socket buffer size in libdap so it matches the block
    size we are using.

 -- Christine Caulfield <Christine.Caulfield@googlemail.com>  Mon,  6 Jan 2009 09:02:02 +0000
