=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dnprogs
 Section: net
 Priority: extra
-Maintainer: Christine Caulfield <christine.caulfield@googlemail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Christine Caulfield <christine.caulfield@googlemail.com>
 Build-Depends: debhelper(>= 4.1.16), libncurses5-dev, libfuse-dev
 Standards-Version: 3.5.6
