=== debian/changelog ===
dnprogs (2.51) unstable; urgency=low

  * Fix some strict-aliasing warnings
    Closes: #576373
  * Fix some lintian errors (thanks to ph3-der-loewe)
  * Don't print errors if decnet.conf doesn't exist

 -- Christine Caulfield <Christine.Caulfield@googlemail.com>  Thu, 29 Apr 2010 09:29:40 +0100

dnprogs (2.50.1) unstable; urgency=low

  * Remove dncopynodes binary from tarball

 -- Christine Caulfield <Christine.Caulfield@googlemail.com>  Mon, 12 Oct 2009 10:12:34 +0000

dnprogs (2.50) unstable; urgency=low

  * Fix check for /etc/default/decnet before sourcing it
  * Fix LSB sections of Deban init scripts
  * Don't suggest linux-kernel-2.4
  * Rename libdap to libdnet-dap
  * Include Debian Russian po-debconf translation
    Closes: #548760
  * Remove definition of basename
    Closes: #548043

 -- Christine Caulfield <Christine.Caulfield@googlemail.com>  Sat,  3 Oct 2009 14:03:23 +0000
  
