=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: dnprogs
 Section: net
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Christine Caulfield <christine.caulfield@googlemail.com>
+Maintainer: Christine Caulfield <christine.caulfield@googlemail.com>
 Build-Depends: debhelper(>= 4.1.16), libncurses5-dev, libfuse-dev
 Standards-Version: 3.5.6
 
 Package: dnet-common
 Architecture: all
-Depends: debconf(>=0.5.00) | debconf-2.0, debianutils(>=1.13), module-init-tools | modutils
+Depends: debconf(>=0.5.00) | debconf-2.0, debianutils(>=1.13), module-init-tools | modutils, ${misc:Depends}
 Priority: extra
 Section: net
 Conflicts: dnprogs
-Suggests: iproute, kernel-image-2.4
+Suggests: iproute
 Description: Base package for Linux DECnet
  This is the base package for Linux DECnet. It contains the necessary
  configuration files and a script to set up the MAC address of your
@@ -26,7 +25,7 @@
 
 Package: dnet-progs
 Architecture: any
-Depends: dnet-common(>=${Source-Version}), libdnet(>=${Source-Version}), ${shlibs:Depends}
+Depends: dnet-common(>=${binary:Version}), libdnet(>=${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Priority: extra
 Section: net
 Description: DECnet user programs and daemons
@@ -39,7 +38,7 @@
 Package: libdnet
 Architecture: any
 Depends: ${shlibs:Depends}
-Recommends: dnet-common(>=${Source-Version})
+Recommends: dnet-common(>=${binary:Version}), ${misc:Depends}
 Priority: extra
 Section: libs
 Description: DECnet Libraries
@@ -58,7 +57,7 @@
 
 Package: libdnet-dev
 Architecture: any
-Depends: libdnet(>=${Source-Version})
+Depends: libdnet(>=${binary:Version}), ${misc:Depends}
 Priority: extra
 Section: libdevel
 Description: DECnet development libraries & Headers
